<?php
	if (empty($_POST['mod_id'])) {
           $errors[] = "ID vacío";
        }else if (empty($_POST['usuario'])) {
           $errors[] = "Usuario vacío";
        } else if (
			!empty($_POST['usuario'])
		){

		include "../config/config.php";//Contiene funcion que conecta a la base de datos

		$usuario=mysqli_real_escape_string($con,(strip_tags($_POST["usuario"],ENT_QUOTES)));
		$nombre=mysqli_real_escape_string($con,(strip_tags($_POST["nombre"],ENT_QUOTES)));
		$apellidos=mysqli_real_escape_string($con,(strip_tags($_POST["apellidos"],ENT_QUOTES)));
		$email=mysqli_real_escape_string($con,(strip_tags($_POST["email"],ENT_QUOTES)));
		$password=sha1(md5(mysqli_real_escape_string($con,(strip_tags($_POST["password"],ENT_QUOTES)))));
		$created_at=date("Y-m-d H:i:s");
		//$user_id=$_SESSION['user_id'];

		if (isset($_POST['is_admin'])) {
			$is_admin=1;
		}else{
			$is_admin=0;
		}
		$id=intval($_POST['mod_id']);


		//$usuarios=mysqli_query($con, "select * from user where username='$usuario'");
		//	if (mysqli_num_rows($usuarios)>0) {
		//		$errors []= "El Usuario Ya Existe.";
		//		
		//	}else{
				$sql="UPDATE user SET username=\"$usuario\", name=\"$nombre\",lastname=\"$apellidos\",email=\"$email\",is_admin=\"$is_admin\" WHERE id=$id";
				$query_update = mysqli_query($con,$sql);
					if ($query_update){
						$messages[] = "El usuario ha sido actualizado satisfactoriamente.";
						if($_POST['password']!=""){
							$sql_pass=mysqli_query($con, "UPDATE user SET password=\"$password\" WHERE id=$id");
								if($sql_pass){
									$messages[] = " Y su contraseña se ah modificado.";
									
								}

						}

							//sleep(1);
							print("<script>window.location='./usuarios.php'</script>");
					} else{
						$errors []= "Lo siento algo ha salido mal intenta nuevamente.".mysqli_error($con);
					}
			//}		
		} else {
			$errors []= "Error desconocido.";
		}
		
		if (isset($errors)){
			
			?>
			<div class="alert alert-danger" role="alert">
				<button type="button" class="close" data-dismiss="alert">&times;</button>
					<strong>Error!</strong> 
					<?php
						foreach ($errors as $error) {
								echo $error;
							}
						?>
			</div>
			<?php
			}
			if (isset($messages)){
				
				?>
				<div class="alert alert-success" role="alert">
						<button type="button" class="close" data-dismiss="alert">&times;</button>
						<strong>¡Bien hecho!</strong>
						<?php
							foreach ($messages as $message) {
									echo $message;
								}
							?>
				</div>
				<?php
			}

?>